GET

candidates API

Retrieve and manage candidates records from the Apps4Edu sync database.

Endpoint Path

GET /api/candidates

CURL Example

curl "https://api.apps4education.co.uk/api/candidates?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
candidateID int
personID int
candidateTypeID int
candidateType varchar
candidateFullName varchar
candidateNameFormat varchar
seasonID int
specialCandidate tinyint
uci varchar
examNumber varchar
specialCandidateNote varchar
admissionNumber varchar
upn varchar
formerUPN varchar
centreNumber varchar
uln varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "candidateID": 101,
      "personID": 101,
      "candidateTypeID": 101,
      "candidateType": "example_value",
      "candidateFullName": "example_value",
      "candidateNameFormat": "example_value",
      "seasonID": 101,
      "specialCandidate": "example_value",
      "uci": "example_value",
      "examNumber": "example_value",
      "specialCandidateNote": "example_value",
      "admissionNumber": true,
      "upn": "example_value",
      "formerUPN": "example_value",
      "centreNumber": "example_value",
      "uln": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.